events.listen('recipes', function (e) {

  var cuShaped = e.recipes.cucumber.shaped_no_mirror

  function dyeShaped(result, pattern) {
    cuShaped({
      'pattern': pattern,
      'key': {
        'C': {
          'item': 'resourcefulbees:rgbee_honeycomb'
        }
      },
      'result': {
        'item': result,
        'count': 6
      }
    })
  }
  dyeShaped('minecraft:red_dye', ['  C',' C ',' C '])
  dyeShaped('minecraft:green_dye', ['  C','CC ','   '])
  dyeShaped('minecraft:purple_dye', ['  C','  C',' C '])
  dyeShaped('minecraft:cyan_dye', ['C C',' C ','   '])
  dyeShaped('minecraft:light_gray_dye', [' C ',' C ','  C'])
  dyeShaped('minecraft:gray_dye', ['  C',' C ','C  '])
  dyeShaped('minecraft:pink_dye', ['C  ',' C ','  C'])
  dyeShaped('minecraft:lime_dye', ['  C','  C','  C'])
  dyeShaped('minecraft:yellow_dye', [' C ',' C ',' C '])
  dyeShaped('minecraft:light_blue_dye', ['C  ','C  ','C  '])
  dyeShaped('minecraft:magenta_dye', ['   ','   ','CCC'])
  dyeShaped('minecraft:orange_dye', ['   ','CCC','   '])
  dyeShaped('minecraft:blue_dye', ['   ',' C ','C C'])
  dyeShaped('minecraft:brown_dye', ['  C',' C ','  C'])
  dyeShaped('minecraft:black_dye', ['   ','CC ','  C'])
  dyeShaped('minecraft:white_dye', ['CCC','   ','   '])

  function logShaped(result, pattern) {
    cuShaped({
      'pattern': pattern,
      'key': {
        'C': {
          'item': 'resourcefulbees:woody_honeycomb'
        }
      },
      'result': {
        'item': result,
        'count': 8
      }
    })
  }
  logShaped('minecraft:oak_log', ['CCC','   ','   '])
  logShaped('minecraft:spruce_log', ['   ','CCC','   '])
  logShaped('minecraft:birch_log', ['   ','   ','CCC'])
  logShaped('minecraft:jungle_log', ['C  ','C  ','C  '])
  logShaped('minecraft:acacia_log', [' C ',' C ',' C '])
  logShaped('minecraft:dark_oak_log', ['  C','  C','  C'])
  e.shaped(item.of('minecraft:crimson_stem', 8), ['A  ','B  ','A  '], {A: 'resourcefulbees:woody_honeycomb',B: 'resourcefulbees:nether_honeycomb'})
  e.shaped(item.of('minecraft:warped_stem', 8), ['ABA','   ','   '], {A: 'resourcefulbees:woody_honeycomb',B: 'resourcefulbees:nether_honeycomb'})
  //Stone
  e.shaped(item.of('minecraft:stone', 32), ['A A',' A ','A A'], {
    A: 'resourcefulbees:rock_honeycomb'
  })
  //Cobblestone
  e.shaped(item.of('minecraft:cobblestone', 32), ['AAA','A A','AAA'], {
    A: 'resourcefulbees:rock_honeycomb'
  })
  //Andesite
  e.shaped(item.of('minecraft:andesite', 16), [' A ','AAA',' A '], {
    A: 'resourcefulbees:rock_honeycomb'
  })
  //Andesite
  e.shaped(item.of('minecraft:granite', 16), ['A A','   ','A A'], {
    A: 'resourcefulbees:rock_honeycomb'
  })
  //Diorite
  e.shaped(item.of('minecraft:diorite', 16), ['  A',' A ','A  '], {
    A: 'resourcefulbees:rock_honeycomb'
  })
  //Blackstone
  e.shaped(item.of('minecraft:blackstone', 32), ['AAA','A B','BBB'], {
    A: 'resourcefulbees:rock_honeycomb',
    B: 'resourcefulbees:nether_honeycomb'
  })
  //Netherrack
  e.shaped(item.of('minecraft:netherrack', 32), ['A A',' A ','A A'], {
    A: 'resourcefulbees:nether_honeycomb'
  })
  //Enderslime
  e.shaped(item.of('tconstruct:ender_slime_ball', 32), ['AAA','ABA','AAA'], {
    A: 'resourcefulbees:slimy_honeycomb',
    B: 'minecraft:purple_dye'
  })
  //Ichorslime
  e.shaped(item.of('tconstruct:ichor_slime_ball', 32), ['AAA','ABA','AAA'], {
    A: 'resourcefulbees:slimy_honeycomb',
    B: 'minecraft:orange_dye'
  })
  //Lavacomb
  e.shaped(item.of('minecraft:lava_bucket'), [' A ','ABA',' A '], {
    A: 'resourcefulbees:lava_honeycomb',
    B: 'minecraft:bucket'
  })
  //Centrifuge
  e.remove({ id: 'resourcefulbees:centrifuge' })
  e.shaped(item.of('resourcefulbees:centrifuge', 1), ['ABA','ACA','ADA'], {
    A: 'immersiveengineering:sheetmetal_steel',
    B: 'resourcefulbees:mechanical_centrifuge',
    C: 'minecraft:bucket',
    D: 'minecraft:piston'
  })

})